Back to YouTube
TikHub·YouTube
YouTube Web V2: Get video captions
/api/v1/youtube/web_v2/get_video_captionssync$0.012 / callGet video caption list or caption content for a specific language. Supports multiple caption format outputs (TikHub · YouTube Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| video_id | string | — | Video ID |
| video_url | string | — | Video URL |
| language_code | string | — | Language code, returns available caption list if empty |
| format | string (srt, xml, json3, txt) | — | Caption format (default "srt") |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_video_captions","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.